Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRungeKutta2 Class Reference

`#include <vtkRungeKutta2.h>`

Inheritance diagram for vtkRungeKutta2:

[legend]
Collaboration diagram for vtkRungeKutta2:

[legend]
List of all members.

## Detailed Description

Integrate an initial value problem using 2nd.

Date:
  2002/11/06 20:10:00

Revision:
  1.13

order Runge-Kutta method.

This is a concrete sub-class of vtkInitialValueProblemSolver. It uses a 2nd order Runge-Kutta method to obtain the values of a set of functions at the next time step.

See also:
  vtkInitialValueProblemSolver vtkRungeKutta4 vtkRungeKutta45 vtkFunctionSet

Created by:
  - Geveci, Berk

CVS contributions (if > 5%):
  - Geveci, Berk (88%)
  - Cedilnik, Andy (8%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkRungeKutta2.h)`
  - .`cxx` (`/Common/vtkRungeKutta2.cxx)`

Definition at line 48 of file vtkRungeKutta2.h.

## Public Types
typedef vtkInitialValueProblemSolver | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual int | ComputeNextStep (float *xprev, float *xnext, float t, float &delT, float maxError, float &error)
virtual int | ComputeNextStep (float *xprev, float *dxprev, float *xnext, float t, float &delT, float maxError, float &error)
virtual int | ComputeNextStep (float *xprev, float *xnext, float t, float &delT, float &delTActual, float minStep, float maxStep, float maxError, float &error)
virtual int | ComputeNextStep (float *xprev, float *dxprev, float *xnext, float t, float &delT, float &delTActual, float minStep, float maxStep, float maxError, float &error)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkRungeKutta2 * | SafeDownCast (vtkObject *o)
vtkRungeKutta2 * | New ()
## Protected Methods
| vtkRungeKutta2 ()
| ~vtkRungeKutta2 ()

## Member Typedef Documentation

typedef vtkInitialValueProblemSolver vtkRungeKutta2::Superclass

| Reimplemented from vtkInitialValueProblemSolver. Definition at line 51 of file vtkRungeKutta2.h.

## Constructor & Destructor Documentation

vtkRungeKutta2::vtkRungeKutta2 | ( |  | ) | `[protected]`

vtkRungeKutta2::~vtkRungeKutta2 | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkRungeKutta2::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkInitialValueProblemSolver.

int vtkRungeKutta2::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInitialValueProblemSolver.

virtual int vtkRungeKutta2::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInitialValueProblemSolver.

vtkRungeKutta2* vtkRungeKutta2::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkInitialValueProblemSolver.

vtkRungeKutta2* vtkRungeKutta2::New | ( |  | ) | `[static]`

| Construct a vtkRungeKutta2 with no initial FunctionSet. Reimplemented from vtkObject.

virtual int vtkRungeKutta2::ComputeNextStep | ( | float * | xprev,
|  | float * | xnext,
|  | float | t,
|  | float & | delT,
|  | float | maxError,
|  | float & | error
| ) | `[inline, virtual]`

| Given initial values, xprev , initial time, t and a requested time interval, delT calculate values of x at t+delT (xnext). delTActual is always equal to delT. Since this class can not provide an estimate for the error error is set to 0. maxStep, minStep and maxError are unused. This method returns an error code representing the nature of the failure: OutOfDomain = 1, NotInitialized = 2, UnexpectedValue = 3 Reimplemented from vtkInitialValueProblemSolver. Definition at line 63 of file vtkRungeKutta2.h. References vtkInitialValueProblemSolver::ComputeNextStep().

virtual int vtkRungeKutta2::ComputeNextStep | ( | float * | xprev,
|  | float * | dxprev,
|  | float * | xnext,
|  | float | t,
|  | float & | delT,
|  | float | maxError,
|  | float & | error
| ) | `[inline, virtual]`

| Given initial values, xprev , initial time, t and a requested time interval, delT calculate values of x at t+delT (xnext). delTActual is always equal to delT. Since this class can not provide an estimate for the error error is set to 0. maxStep, minStep and maxError are unused. This method returns an error code representing the nature of the failure: OutOfDomain = 1, NotInitialized = 2, UnexpectedValue = 3 Reimplemented from vtkInitialValueProblemSolver. Definition at line 72 of file vtkRungeKutta2.h. References vtkInitialValueProblemSolver::ComputeNextStep().

virtual int vtkRungeKutta2::ComputeNextStep | ( | float * | xprev,
|  | float * | xnext,
|  | float | t,
|  | float & | delT,
|  | float & | delTActual,
|  | float | minStep,
|  | float | maxStep,
|  | float | maxError,
|  | float & | error
| ) | `[inline, virtual]`

| Given initial values, xprev , initial time, t and a requested time interval, delT calculate values of x at t+delT (xnext). delTActual is always equal to delT. Since this class can not provide an estimate for the error error is set to 0. maxStep, minStep and maxError are unused. This method returns an error code representing the nature of the failure: OutOfDomain = 1, NotInitialized = 2, UnexpectedValue = 3 Reimplemented from vtkInitialValueProblemSolver. Definition at line 82 of file vtkRungeKutta2.h. References vtkInitialValueProblemSolver::ComputeNextStep().

virtual int vtkRungeKutta2::ComputeNextStep | ( | float * | xprev,
|  | float * | dxprev,
|  | float * | xnext,
|  | float | t,
|  | float & | delT,
|  | float & | delTActual,
|  | float | minStep,
|  | float | maxStep,
|  | float | maxError,
|  | float & | error
| ) | `[virtual]`

| Given initial values, xprev , initial time, t and a requested time interval, delT calculate values of x at t+delT (xnext). delTActual is always equal to delT. Since this class can not provide an estimate for the error error is set to 0. maxStep, minStep and maxError are unused. This method returns an error code representing the nature of the failure: OutOfDomain = 1, NotInitialized = 2, UnexpectedValue = 3 Implements vtkInitialValueProblemSolver.

The documentation for this class was generated from the following file:

- Common/vtkRungeKutta2.h